# Change Log (update)

## Change Log

### ⚡️27.07.2022

* New [Dashboard interface](https://dashboard.watchdata.io/home)

![](https://2482835524-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FnBjFb4bP2f2mQ6F0CORT%2Fuploads%2FIbK55AJgDkEDckGqXIQy%2Fimage.png?alt=media\&token=55303c84-978c-4772-b6d1-53ea5e4395ef)

* Bug fix with Transfers (Powered API).
* [eth\_getTransactionReceipt](https://docs.watchdata.io/blockchain-apis/ethereum-api/eth_gettransactionreceipt) now gives one object, not a list.

### 17.07.2022

* [Polygon Blochchain API](https://docs.watchdata.io/blockchain-apis/polygon-api) - Polygon Blockchain enables access to most commonly used Polygon methods.
* Powered API support for Polygon Mainnet
* UI improvements

### 21.06.2022

* Product improvements. (RPS increase)
* Bug fixes (no possibility to choose a blockchain when creating a key)

### 05.06.2022

* [Binance Smart Chain API](https://docs.watchdata.io/blockchain-apis/binance-smart-chain-api) - BSC Blockchain enables access to most commonly used BSC methods.
* Powered API support for Binance Smart Chain&#x20;

### 23.05.2022

* [Bitcoin API](https://docs.watchdata.io/blockchain-apis/bitcoin-api) - Bitcoin Blockchain enables access to most commonly used BTC methods.
* Price API improvements&#x20;
* [watch\_getTokenMetadata](https://docs.watchdata.io/powered-api/token-api/watch_gettokenmetadata) - Check all the necessary information about tokens&#x20;

### 06.05.2022

* Added [Price API](https://docs.watchdata.io/price-api/price-api). Now you can get lists of currencies and rates to integrate into your applications.
* See the [guides](https://docs.watchdata.io/tutorials-and-guides/watchdata-price-api-and-how-it-works) how to interact with Price API

### 20.04.2022

* Improved interface. Now you can select the necessary blockchain, name it and get HTTP Link directly from your Dashboard
* Improved stability

### 15.04.2022

* [Tron API](https://docs.watchdata.io/blockchain-apis/tron-api) - Tron Blockchain enables access to most commonly used Tron methods. It's possible to generate TRON account, send TRX, TRC10 and TRC20 assets. It's also possible to generate custom TRC10 or TRC20 tokens using API.
* [New Pricing model ](https://www.watchdata.io/pricing)
* [MetaMask support](https://docs.watchdata.io/tutorials-and-guides/how-to-guides/how-do-i-add-watchdata-to-metamask)

### 22.03.2022

* For Ethereum mainnet and Ropsten API added ability to communicate directly with a node&#x20;

Listed endpoints

* [eth\_call](https://docs.watchdata.io/blockchain-apis/ethereum-api/eth_call)
* [eth\_chainId](https://docs.watchdata.io/blockchain-apis/ethereum-api/eth_chainid)
* [eth\_estimateGas](https://docs.watchdata.io/blockchain-apis/ethereum-api/eth_estimategas#parameters)
* [eth\_gasPrice](https://docs.watchdata.io/blockchain-apis/ethereum-api/eth_gasprice)
* [eth\_getBalance](https://docs.watchdata.io/blockchain-apis/ethereum-api/eth_getbalance)
* [eth\_getCode](https://docs.watchdata.io/blockchain-apis/ethereum-api/eth_getcode)
* [eth\_getStorageAt](https://docs.watchdata.io/blockchain-apis/ethereum-api/eth_getstorageat)
* [eth\_sendRawTransaction](https://docs.watchdata.io/blockchain-apis/ethereum-api/eth_sendrawtransaction)

Improvements

* A link to the roadmap has been added to the website, personal dashboard and documentation
* Improved methods for obtaining transfers, added token metadata, fee
  * [watch\_getTransfers](https://docs.watchdata.io/powered-api/transfers/watch_gettransfers)
  * [watch\_getTransfersByAddress](https://docs.watchdata.io/powered-api/transfers/watch_gettransfersbyaddress)

### 09.03.2022

Listed endpoints

* [watch\_getBlockNumberByTimestamp](https://docs.watchdata.io/powered-api/blocks/watch_getblocknumberbytimestamp)
* [watch\_getTransfersByAddress](https://docs.watchdata.io/powered-api/transfers/watch_gettransfersbyaddress)

Improvements

* Added option to use api\_key via query parameter
  * Web3 library support
  * Metamask support
* [watch\_getTransfers](https://docs.watchdata.io/powered-api/transfers/watch_gettransfers) method became watch\_getTransferByAddress, and watch\_getTrasnfers became the general method without the address filter (all parameters are optional)

### 18.02.2022

**Listed endpoints:**&#x20;

* [watch\_getTokenBalances](https://docs.watchdata.io/powered-api/token-api/watch_gettokenbalances)
* [watch\_getStatsByDay](https://docs.watchdata.io/powered-api/stats/watch_getstatsbyday)
* [eth\_getLogs](https://docs.watchdata.io/blockchain-apis/ethereum-api/eth_getlogs)

**Supported chains:**

* [Ropsten API](https://docs.watchdata.io/blockchain-apis/ethereum-api)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.watchdata.io/introduction/change-log-update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
